package ch.dvbern.stvge.taxmeev.install;

import java.io.*;
/**
 * Insert the type's description here.
 * Creation date: (21.11.2001 11:53:25)
 * @author: Stefan Werren
 */
public class UpdateReaderSettings  {
	private String installDir = null;
	private String readerExec = null;

	private static PrintStream writer = null;
	private static BufferedReader reader = null;
/**
 * UpdateReaderSettings constructor comment.
 */
public UpdateReaderSettings(String sInstallDri, String sReaderExec) {
	super();
	installDir = sInstallDri;
	readerExec = sReaderExec;
}
/**
 * Insert the method's description here.
 * Creation date: (21.11.2001 11:58:01)
 */
public void createReaderConfig() {
	try {
		java.io.File aPrintRecDir = new java.io.File(installDir+ "\\print\\resources\\");
		if (!aPrintRecDir.exists()) {
			 aPrintRecDir.mkdirs();
		}
		//viewExtern
		//AdobeReaderPath
		java.io.FileWriter aFileWriter = new java.io.FileWriter(aPrintRecDir.getAbsolutePath()+ "\\readerConfig.txt");
		java.io.BufferedWriter aBufferedWriter = new java.io.BufferedWriter(aFileWriter);
		aBufferedWriter.write("viewExtern=true");
		aBufferedWriter.newLine();
		aBufferedWriter.write("AdobeReaderPath="+readerExec);
		aBufferedWriter.newLine();
		aBufferedWriter.close();
		aFileWriter.close();
	}
	catch (java.io.IOException e) {
		e.printStackTrace();
	}
}
/**
 * Insert the method's description here.
 * Creation date: (07.03.2002 09:43:31)
 * @param aLogText java.lang.String
 */
private static void log(String aLogText) {
	writer.println(aLogText);
}
/**
 * Insert the method's description here.
 * Creation date: (21.11.2001 11:53:40)
 * @param args java.lang.String[]
 */
public static void main(String[] args) {
	try {
	//*****
	// Test ob Klasse aufgerufen wird:
	FileWriter aTestFile = new FileWriter("C:\\getaxTestfile.log");
	BufferedWriter bw = new BufferedWriter(aTestFile);
	//PrintStream aTestwriter = new PrintStream(new FileOutputStream(aTestFile.));
	bw.write("Klasse UpdateReaderSettings aufgerufen");
	bw.flush();
	bw.close();

	// log-File initialisieren:
	//File logFile = new File("GEtaxUpdateReaderConfig.log");
	File logFile = new File("C:\\Programme\\GEtax\\GEtaxUpdateReaderSettings.log");
	writer = new PrintStream(new FileOutputStream(logFile));
	reader =
		new BufferedReader(new InputStreamReader(new FileInputStream(logFile)));

	// Bereitet 2 Pfade auf als Uebergabeargument fr Konstruktor
	// arg1: Installationsdirectory Taxme
	// arg2: Pfad AkrobatReader
	log("GEtax");
	log("... update Reader Config");
	log("... main args[]:");
	log("\tcount=" + args.length);
	for (int i = 0; i < args.length; i++) {
		log("\targs[" + i + "]=" + args[i]);
	}
	//****

	StringBuffer[] sPaths = new StringBuffer[3];
	sPaths[1] = new StringBuffer();
	sPaths[2] = new StringBuffer();
	int n = 0;
	for (int i = 0; i < args.length; i++){
		if (args[i].indexOf(":") != -1) {
			n++;
		}
		sPaths[n].append(args[i]).append(" ");
	}
	//***
	log("... parameters:");
		for (int i = 0; i < sPaths.length; i++){
			log("\tsPath["+i+"]="+sPaths[i]);
		}
	String sGEtaxRoot = sPaths[1].toString().substring(0, sPaths[1].toString().indexOf("UninstallerData"));
		
		log("\nRootGetax="+sGEtaxRoot);
		log("bergabeparameter="+sGEtaxRoot.trim()+", "+sPaths[2].toString().trim());
	
		
		reader.close();
		writer.flush();
		writer.close();
	//***	
	
		
	UpdateReaderSettings aObject = new UpdateReaderSettings(sPaths[1].toString().trim(), sPaths[2].toString().trim());
	aObject.createReaderConfig();
	} catch(Exception e) {
		e.printStackTrace(writer);
	}
} 
}
